#
# spec file for package tree-sitter-xml
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name xml
Name:           tree-sitter-xml
Version:        0.7.0
Release:        1.2
Summary:        Xml grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter-grammars/tree-sitter-xml
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name} dtd

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so
ln -s %{_libdir}/libtree-sitter-dtd.so %{buildroot}%{_libdir}/tree_sitter/dtd.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%{_libdir}/tree_sitter/dtd.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Thu Dec  5 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.7.0:
  * build: update bindings
  * fix(highlights): comment out problematic query
  * fix(dtd): don't include XML symbols in scanner
  * feat!: update parsers & bindings
  * fix(xml): don't advance after char data end
- update to 0.6.3:
  * chore(scanner): remove unused function
  * fix(scanner): simplify string logic
  * build(swift): remove platform requirements
  * build(npm): include common files
  * fix(swift): fix package excludes
  * feat(go): separate bindings
- switch to download_files service
- add neovim links
- enable devel package
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.6.2:
  * fix(scanner): no more memory leaks
  * feat: update bindings
  * refactor(scanner): use upstream array macros
  * tests: unify using annotations
* Mon Mar 18 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.6.1:
  * build: hopefully fix windows (take 2)
  * build: add prebuildify
  * build: hopefully fix windows
  * fix(scanner): no more memory leaks
  * ci: publish to pypi
  * feat: update bindings
  * refactor(scanner): use upstream array macros
  * tests: unify using annotations
  * ci: use upstream actions
  * chore: update manifests
